# AIEventSubsidyOfferExpired Class Reference

Event Subsidy Offer Expired, indicating a subsidy will no longer be awarded. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventSubsidyOfferExpired:

## Public Member Functions

| AIEventSubsidyOfferExpired (SubsidyID subsidy_id)
SubsidyID | GetSubsidyID ()
| Get the SubsidyID of the subsidy.

## Static Public Member Functions

static const char * | GetClassName ()
static AIEventSubsidyOfferExpired * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Private Attributes

SubsidyID | subsidy_id

## Detailed Description

Event Subsidy Offer Expired, indicating a subsidy will no longer be awarded.

Definition at line 117 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventSubsidyOfferExpired::AIEventSubsidyOfferExpired | ( | SubsidyID | subsidy_id | ) | `[inline]`

Parameters:

  | subsidy_id | The index of this subsidy in the _subsidies array.

Definition at line 124 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventSubsidyOfferExpired* AIEventSubsidyOfferExpired::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 134 of file ai_event_types.hpp.

SubsidyID AIEventSubsidyOfferExpired::GetSubsidyID | ( |  | ) | `[inline]`

Get the SubsidyID of the subsidy.

Returns:
  The subsidy id.

Definition at line 140 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp